package cn.com.qmth.examcloud.core.questions.service.themispaper;

import cn.com.qmth.examcloud.core.questions.dao.entity.Paper;

import java.util.List;

/**
 * @author chenken
 * @date 2017年7月25日 上午9:39:11
 * @company QMTH
 * @description ComputerTestPaper.java
 */
public class ThemisPaper {

    /**
     * 试卷编号
     */
    private String id;
    /**
     * 试卷名称
     */
    private String name;
    /**
     * 课程code
     */
    private String courseCode;
    /**
     * 试卷类型   A、B卷
     */
    private transient String groupCode;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 总分
     */
    private double totalScore;
    /**
     * 1:含有音视频
     * 0:不含有音视频
     */
    private Boolean hasAudio;
    /**
     * 大题数量
     */
    private int detailCount;
    /**
     * 大题集合
     */
    private List<ThemisPaperDetail> details;

    public ThemisPaper() {

    }

    public ThemisPaper(Paper paper, String groupCode) {
        this.id = paper.getId();
        this.name = paper.getName();
        this.courseCode = paper.getCourse().getCode();
        this.courseName = paper.getCourse().getName();
        this.totalScore = paper.getTotalScore();
        this.detailCount = paper.getPaperDetailCount();
        this.hasAudio = false;
        this.groupCode = groupCode;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(double totalScore) {
        this.totalScore = totalScore;
    }

    public int getDetailCount() {
        return detailCount;
    }

    public void setDetailCount(int detailCount) {
        this.detailCount = detailCount;
    }

    public List<ThemisPaperDetail> getDetails() {
        return details;
    }

    public void setDetails(List<ThemisPaperDetail> details) {
        this.details = details;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

	public Boolean getHasAudio() {
		return hasAudio;
	}

	public void setHasAudio(Boolean hasAudio) {
		this.hasAudio = hasAudio;
	}

}

